com.ibm.openpages.api.respview

## Interface IDashboardView

- All Superinterfaces:
    IRespViewContainer

      public interface IDashboardView
      extends IRespViewContainer

  Represents a dashboard view. The dashboard view is designed as an extension of the responsive view, which is not specific to any object type, but is associated to an object profile.
  Since:
    8.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTR_PROFILE_ID` The object profile ID attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)`
    `static java.lang.String` | `ATTR_PROFILE_NAME` The object profile name attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)`

    - ### Fields inherited from interface com.ibm.openpages.api.respview.IRespViewContainer

      `ATTR_DEFAULT, ATTR_DESCRIPTION, ATTR_ENABLED, ATTR_HAS_DRAFT, ATTR_HAS_PUBLISHED, ATTR_ID, ATTR_NAME, ATTR_SUPPLIED_BY_VENDOR, ATTR_TYPE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Id` | `getProfileId()` Returns object profile ID
    `java.util.List<IDashboardTab>` | `getTabs()` Returns the list of dashboard tabs
    `void` | `setTabs(java.util.List<IDashboardTab> tabs)` Sets the list of dashboard tabs

    - ### Methods inherited from interface com.ibm.openpages.api.respview.IRespViewContainer

      `getDescription, getId, getLastModifiedBy, getModifiedDate, getName, getRespViewType, hasDraft, hasPublishedVersion, isDefault, isEnabled, isSuppliedByVendor, setDefault, setDescription, setEnabled, setSuppliedByVendor`

- - ### Field Detail

    - #### ATTR_PROFILE_ID

          static final java.lang.String ATTR_PROFILE_ID

      The object profile ID attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)`
      See Also:
        Constant Field Values

    - #### ATTR_PROFILE_NAME

          static final java.lang.String ATTR_PROFILE_NAME

      The object profile name attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)`
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getProfileId

          Id getProfileId()

      Returns object profile ID
      Returns:

    - #### getTabs

          java.util.List<IDashboardTab> getTabs()

      Returns the list of dashboard tabs
      Returns:

    - #### setTabs

          void setTabs(java.util.List<IDashboardTab> tabs)

      Sets the list of dashboard tabs
      Parameters:
        `tabs` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.